---
apiVersion: v1
kind: List
items:
- apiVersion: v1
  kind: ServiceAccount
  metadata:
    annotations:
      fabric8.io/iconUrl: https://cdn.rawgit.com/fabric8io/fabric8-devops/master/gerrit/src/main/fabric8/icon.png
    labels:
      provider: fabric8
      project: gerrit
      version: 2.2.319
      group: io.fabric8.devops.apps
    name: gerrit
  secrets:
  - name: gerrit-admin-ssh
  - name: gerrit-users-ssh-keys
- apiVersion: v1
  kind: Service
  metadata:
    annotations:
      fabric8.io/app-menu: development
      fabric8.io/iconUrl: https://cdn.rawgit.com/fabric8io/fabric8-devops/master/gerrit/src/main/fabric8/icon.png
      fabric8.io/git-commit: 6314507036c9edc38574a7d68aa6ae707933e2d2
      fabric8.io/scm-con-url: scm:git:git@github.com:fabric8io/fabric8-devops.git/gerrit
      fabric8.io/scm-url: http://github.com/fabric8io/fabric8-devops/gerrit
      fabric8.io/git-branch: release-v2.2.319
      fabric8.io/scm-devcon-url: scm:git:git@github.com:fabric8io/fabric8-devops.git/gerrit
      fabric8.io/scm-tag: fabric8-devops-2.0.1
    labels:
      project: gerrit
      provider: fabric8
      expose: "true"
      version: 2.2.319
      group: io.fabric8.devops.apps
    name: gerrit
  spec:
    ports:
    - port: 80
      protocol: TCP
      targetPort: 8080
    selector:
      project: gerrit
      provider: fabric8
      group: io.fabric8.devops.apps
- apiVersion: v1
  kind: Service
  metadata:
    annotations:
      fabric8.io/git-commit: 6314507036c9edc38574a7d68aa6ae707933e2d2
      fabric8.io/scm-con-url: scm:git:git@github.com:fabric8io/fabric8-devops.git/gerrit
      fabric8.io/scm-url: http://github.com/fabric8io/fabric8-devops/gerrit
      fabric8.io/iconUrl: https://cdn.rawgit.com/fabric8io/fabric8-devops/master/gerrit/src/main/fabric8/icon.png
      fabric8.io/git-branch: release-v2.2.319
      fabric8.io/scm-devcon-url: scm:git:git@github.com:fabric8io/fabric8-devops.git/gerrit
      fabric8.io/scm-tag: fabric8-devops-2.0.1
    labels:
      project: gerrit
      provider: fabric8
      expose: "true"
      version: 2.2.319
      group: io.fabric8.devops.apps
    name: gerrit-ssh
  spec:
    ports:
    - port: 29418
      protocol: TCP
      targetPort: 29418
    selector:
      project: gerrit
      provider: fabric8
      group: io.fabric8.devops.apps
- apiVersion: v1
  kind: ConfigMap
  metadata:
    annotations:
      fabric8.gerrit/summary: '[Gerrit](https://code.google.com/p/gerrit/) Web based
        code review and project management for Git based projects'
      description: |-
        Gerrit is a web based code review system, facilitating online code reviews for projects using the Git version control system.

        Gerrit makes reviews easier by showing changes in a side-by-side display, and allowing inline comments to be added by any reviewer.

        Gerrit simplifies Git based project maintainership by permitting any authorized user to submit changes to the master Git repository, rather than requiring all approved changes to be merged in by hand by the project maintainer. This functionality enables a more centralized usage of Git.

        [https://www.gerritcodereview.com/](https://www.gerritcodereview.com/)
      fabric8.gerrit/iconUrl: https://cdn.rawgit.com/fabric8io/fabric8-devops/master/gerrit/src/main/fabric8/icon.png
      fabric8.io/json-schema: |-
        {
          "type" : "object",
          "properties" : {
            "GERRIT_ADMIN_PWD" : {
              "type" : "string",
              "description" : "Admin password",
              "default" : "secret"
            },
            "GERRIT_INITIAL_COMMIT" : {
              "type" : "string",
              "description" : "Parameter used when the Gerrit Git repo is created using the DevOpsConnector. By default, it is false as commits have already been done within gogs repo",
              "default" : "false"
            },
            "GERRIT_ADMIN_USER" : {
              "type" : "string",
              "description" : "Admin user used to perform operations on gerrit",
              "default" : "admin"
            },
            "GERRIT_REPO_DESCRIPTION" : {
              "type" : "string",
              "description" : "Description ot add to the Gerrit Git repo created when a CD Project is created",
              "default" : "Description of the gerrit git repo"
            }
          }
        }
    labels:
      provider: fabric8
      project: gerrit
      version: 2.2.319
      group: io.fabric8.devops.apps
    name: gerrit
  data:
    gerrit-initial-commit: "false"
    gerrit-admin-pwd: secret
    gerrit-admin-user: admin
    gerrit-repo-description: Description of the gerrit git repo
- apiVersion: v1
  kind: DeploymentConfig
  metadata:
    annotations:
      fabric8.io/iconUrl: https://cdn.rawgit.com/fabric8io/fabric8-devops/master/gerrit/src/main/fabric8/icon.png
      fabric8.io/git-commit: 6314507036c9edc38574a7d68aa6ae707933e2d2
      fabric8.io/metrics-path: dashboard/file/kubernetes-pods.json/?var-project=gerrit&var-version=2.2.319
      fabric8.io/scm-con-url: scm:git:git@github.com:fabric8io/fabric8-devops.git/gerrit
      fabric8.io/scm-url: http://github.com/fabric8io/fabric8-devops/gerrit
      fabric8.io/git-branch: release-v2.2.319
      fabric8.io/scm-devcon-url: scm:git:git@github.com:fabric8io/fabric8-devops.git/gerrit
      fabric8.io/scm-tag: fabric8-devops-2.0.1
    labels:
      provider: fabric8
      project: gerrit
      version: 2.2.319
      group: io.fabric8.devops.apps
    name: gerrit
  spec:
    replicas: 1
    selector:
      provider: fabric8
      project: gerrit
      group: io.fabric8.devops.apps
      version: 2.2.319
    template:
      metadata:
        annotations:
          fabric8.io/git-commit: 6314507036c9edc38574a7d68aa6ae707933e2d2
          fabric8.io/secret-ssh-key: gerrit-admin-ssh
          fabric8.io/metrics-path: dashboard/file/kubernetes-pods.json/?var-project=gerrit&var-version=2.2.319
          fabric8.io/scm-con-url: scm:git:git@github.com:fabric8io/fabric8-devops.git/gerrit
          fabric8.io/scm-url: http://github.com/fabric8io/fabric8-devops/gerrit
          fabric8.io/iconUrl: https://cdn.rawgit.com/fabric8io/fabric8-devops/master/gerrit/src/main/fabric8/icon.png
          fabric8.io/git-branch: release-v2.2.319
          fabric8.io/scm-devcon-url: scm:git:git@github.com:fabric8io/fabric8-devops.git/gerrit
          fabric8.io/scm-tag: fabric8-devops-2.0.1
          fabric8.io/secret-ssh-public-key: gerrit-users-ssh-keys[id-jenkins-rsa.pub,id-sonar-rsa.pub]
        labels:
          provider: fabric8
          project: gerrit
          version: 2.2.319
          group: io.fabric8.devops.apps
      spec:
        containers:
        - env:
          - name: GERRIT_PUBLIC_KEYS_PATH
            value: /home/gerrit/ssh-keys
          - name: GIT_SERVER_PASSWORD
            value: RedHat$1
          - name: GERRIT_ADMIN_FULLNAME
            value: Administrator
          - name: GERRIT_ACCOUNTS
            value: jenkins,jenkins,jenkins@fabric8.io,secret,Non-Interactive Users:Administrators;sonar,sonar,sonar@fabric8.io,secret,Non-Interactive Users
          - name: GERRIT_ADMIN_USER
            valueFrom:
              configMapKeyRef:
                key: gerrit-admin-user
                name: gerrit
          - name: GIT_SERVER_IP
            value: gogs.default.svc.cluster.local
          - name: GERRIT_ADMIN_PRIVATE_KEY
            value: /root/.ssh/id_rsa
          - name: GERRIT_REPO_DESCRIPTION
            valueFrom:
              configMapKeyRef:
                key: gerrit-repo-description
                name: gerrit
          - name: GERRIT_SSH_PATH
            value: /root/.ssh
          - name: GERRIT_ADMIN_EMAIL
            value: admin@fabric8.io
          - name: GERRIT_GIT_REMOTEPATH
            value: ssh://admin@localhost:29418/All-Projects
          - name: GIT_SERVER_PROJ_ROOT
            value: gogsadmin
          - name: GERRIT_ADMIN_PWD
            valueFrom:
              configMapKeyRef:
                key: gerrit-admin-pwd
                name: gerrit
          - name: GERRIT_GIT_PROJECT_CONFIG
            value: /home/gerrit/configs/project.config
          - name: GIT_SERVER_PORT
            value: "80"
          - name: GERRIT_INITIAL_COMMIT
            valueFrom:
              configMapKeyRef:
                key: gerrit-initial-commit
                name: gerrit
          - name: GERRIT_USER_PUBLIC_KEY_SUFFIX
            value: -rsa.pub
          - name: GIT_SERVER_USER
            value: gogsadmin
          - name: GERRIT_GIT_LOCALPATH
            value: /home/gerrit/git
          - name: GERRIT_USER_PUBLIC_KEY_PREFIX
            value: id-
          - name: AUTH_TYPE
            value: DEVELOPMENT_BECOME_ANY_ACCOUNT
          - name: KUBERNETES_NAMESPACE
            valueFrom:
              fieldRef:
                fieldPath: metadata.namespace
          image: fabric8/gerrit:2.2.319
          imagePullPolicy: IfNotPresent
          name: gerrit
          ports:
          - containerPort: 8080
            name: http
          resources:
            limits:
              cpu: "0"
              memory: "0"
            requests:
              cpu: "0"
              memory: "0"
          volumeMounts:
          - mountPath: /root/.ssh
            name: gerrit-admin-ssh-key
            readOnly: false
          - mountPath: /home/gerrit/ssh-keys
            name: gerrit-users-ssh-keys
            readOnly: false
        serviceAccountName: gerrit
        volumes:
        - name: gerrit-admin-ssh-key
          secret:
            secretName: gerrit-admin-ssh
        - name: gerrit-users-ssh-keys
          secret:
            secretName: gerrit-users-ssh-keys
    triggers:
    - type: ConfigChange
- apiVersion: v1
  kind: Route
  metadata:
    annotations:
      fabric8.io/app-menu: development
      fabric8.io/iconUrl: https://cdn.rawgit.com/fabric8io/fabric8-devops/master/gerrit/src/main/fabric8/icon.png
    labels:
      project: gerrit
      provider: fabric8
      expose: "true"
      version: 2.2.319
      group: io.fabric8.devops.apps
    name: gerrit
  spec:
    port:
      targetPort: 8080
    to:
      kind: Service
      name: gerrit
- apiVersion: v1
  kind: Route
  metadata:
    labels:
      project: gerrit
      provider: fabric8
      expose: "true"
      version: 2.2.319
      group: io.fabric8.devops.apps
    name: gerrit-ssh
  spec:
    port:
      targetPort: 29418
    to:
      kind: Service
      name: gerrit-ssh
